My Oracle Support Banner

Gateway 16.2.8.0 Deployment Fails. (Doc ID 2492235.1)

Last updated on FEBRUARY 03, 2019

Applies to:

Primavera Gateway - Version 16.2.4.0 and later
Information in this document applies to any platform.

Symptoms

On Primavera Gateway 16.2.5.0 version, when attempting to upgrade Gateway from 16.2.5.0 to 16.2.8.0 as required in the Critical Patch Updates, after updating the .ear file with the one for a managed server on WLS 12.1.3.0, this update is successful.

After restarting the managed server and it enters the ADMIN mode with the gateway deployment listed as "failed", the following error occurs, in the managed server log files:

weblogic.kernel.Default (self-tuning)'> <> <> java.lang.IllegalArgumentException
  at com.bea.objectweb.asm.ClassReader.(Unknown Source)




STEPS
-----------------------
1. Try to upgrade Gateway 16.2.8.0
2. Stop deployment
3. Shutdown managed server
4. Update the .ear file with the one for a managed server on WLS 12.1.3.0. This update is successful.
5. Try to start the managed server from WebLogic Admin console
6. Notice the error: "weblogic.kernel.Default (self-tuning)'> <> <> java.lang.IllegalArgumentException"
7. Redeploy 16.2.5.0 ear file.
8. Notice that Gateway is working again.


Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.